% GenderGuis
% simply records the gender of the subject
% using a series of radio buttons

% begin by defining a 'buttongroup' - creates a collectiion of buttons
% which can manage exclusive behavior for buttons/radiobuttons
% this uibutton group is the 'parent' and the buttons are the 'children'
% Left, bottom, width, height

% Normalized units map the lower-left corner of the parent object to (0,0)
% and the upper-right corner to (1.0,1.0). In this case the 'parent' is the
% figure so the normalized co-ordinates are in terms of the figure window.
% It's also possible to fix the co-ordinates in terms of pixels or cm
% they are defined using the co-ordinate system 
% Left, bottom, width, height

hb = uibuttongroup('Title', 'Gender', 'visible','on','HandleVisibility','on', ...
    'Units', 'normalized', 'pos',[0 .8 .4 .2] );

% Create two radio buttons in the button group.
% Once again they are defined using the co-ordinate system 
% Left, bottom, width, height
% In this case the parent is the uibuttongroup box !!!

u0 = uicontrol('Style','Radio','String','Male',   ...
    'parent',hb, 'Units', 'normalized',  'pos',[.2 .6 .8 .2]);

u1 = uicontrol('Style','Radio','String','Female', ...
     'parent',hb,'Units', 'normalized', 'pos',[.2 .2 .8 .2]);
 
 % You can prevent MATLAB from drawing into a particular figure or axes by
 % removing its handle from the list of hb that are visible to the newplot 
 % function, as well as any other functions that either return or implicitly 
 % reference hb (i.e., gca, gcf, gco, cla, clf, close, and findobj).

% Initialize some button group properties.
set(hb, 'SelectedObject', []) % no button selected to begin with
set(hb,'SelectionChangeFcn',@radioresponse); % function you call if a radio button is clicked




