% LikabilityGuis
%
% Sliders describing likability


hs = uipanel('Title', 'Friendship', 'visible','on','Units', 'normalized', ...
    'pos',[0 0 .4 .4]);

% Left, bottom, width, height
% Normalized units map the lower-left corner of the parent object to (0,0)
% and the upper-right corner to (1.0,1.0). In this case the parent is the
% figure

% % Create slider
% note that these sliders are in figure window units, we could turn them
% into children of the panel and have them in panel based units if we felt
% like it.
t0=uicontrol('Style', 'text', 'String','How much do others like you?', ...
    'Units', 'normalized', ... %in figure units!
    'pos',[.05 .275 .3 .05],'HandleVisibility','on');

s0 = uicontrol('Style','Slider','Units', 'normalized', ...
    'pos',[.05 .225 .3 .05],'HandleVisibility','on');

t1=uicontrol('Style', 'text', 'String','How much do you like others?', ...
    'Units', 'normalized', ...
    'pos',[.05 .15 .3 .05],'HandleVisibility','on');
s1 = uicontrol('Style','Slider','Units', 'normalized', ...
    'pos',[.05 0.1 .3 .05],'HandleVisibility','on');

% Send slider values to a function
set(s0,'Callback',@sliderresponse0);
set(s1,'Callback',@sliderresponse1);
% each slider calls a separate function with 
% a set of default arguments, hObject,eventdata, handles, 
% included in that call



